-- Transiting Airliners

local a380=RAT:New("a380", "Airbus A380 Transiting")
a380:SetTakeoff("Air")
a380:Livery({"Air France","BA","Emirates","LH","Qantas Airways","QTR"})
a380:SetDeparture("Long Haul E")
a380:SetDestination("Long Haul W")
a380:DestinationZone("Long Haul W")
a380:SetSpawnInterval(math.random (1200, 3600))
a380:SetCruiseAltitude(34000)
a380:Invisible()
a380:Spawn(1)

local b747=RAT:New("b747", "Boeing 747 Transiting")
b747:SetTakeoff("Air")
b747:Livery({"AF","AI","British Airways B747","Cathay Pacific B747","Cathay Pacific B747","Cathay Pacific Metalic B747","Emirates B747","Etihad B747","Etihad Cargo B747","Iran Air B747","KLM","LH","QA","Singapore Airlines B747"})
b747:SetDeparture("Long Haul E")
b747:SetDestination("Long Haul W")
b747:DestinationZone("Long Haul W")
b747:SetSpawnDelay(math.random (600, 900))
b747:SetSpawnInterval(math.random (1200, 3600))
b747:SetCruiseAltitude(34000)
b747:Invisible()
b747:Spawn(1)

-- Inbound to Land

local a320_Aeroflot_In=RAT:New("a320", "Aeroflot A320 Inbound")
a320_Aeroflot_In:SetTakeoff("Air")
a320_Aeroflot_In:Livery({"Aeroflot","Aeroflot 1"})
a320_Aeroflot_In:SetDeparture({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
a320_Aeroflot_In:SetDestination({"Sochi-Adler","Tbilisi-Lochini"})
a320_Aeroflot_In:Invisible()
a320_Aeroflot_In:SetCruiseAltitude(25000)
a320_Aeroflot_In:SetSpawnDelay(math.random (60, 120))
a320_Aeroflot_In:SetSpawnInterval(math.random (1200, 3600))
a320_Aeroflot_In:Spawn(1)

local a320_European_In=RAT:New("a320", "European A320 Inbound")
a320_European_In:SetTakeoff("Air")
a320_European_In:Livery({"Air France", "Lufthansa"})
a320_European_In:SetDeparture({"UKOO","Long Haul W"})
a320_European_In:SetDestination("Tbilisi-Lochini")
a320_European_In:Invisible()
a320_European_In:SetCruiseAltitude(26000)
a320_European_In:SetSpawnDelay(math.random (180, 240))
a320_European_In:SetSpawnInterval(math.random (1200, 3600))
a320_European_In:Spawn(1)

local a320_Middle_Eastern_In=RAT:New("a320", "Mea A320 Inbound")
a320_Middle_Eastern_In:SetTakeoff("Air")
a320_Middle_Eastern_In:Livery({"Gulf Air","Iran Air","Jazeera","Kuwait Airways","Qatar"})
a320_Middle_Eastern_In:SetDeparture("Long Haul E")
a320_Middle_Eastern_In:SetDestination("Tbilisi-Lochini")
a320_Middle_Eastern_In:Invisible()
a320_Middle_Eastern_In:SetCruiseAltitude(26000)
a320_Middle_Eastern_In:SetSpawnDelay(math.random (300, 360))
a320_Middle_Eastern_In:SetSpawnInterval(math.random (1200, 3600))
a320_Middle_Eastern_In:Spawn(1)

local a320_S7_In=RAT:New("a320", "S7 A320 Inbound")
a320_S7_In:SetTakeoff("Air")
a320_S7_In:ATC_Messages(false)
a320_S7_In:Livery("S7")
a320_S7_In:SetDeparture({"LBWN","LTAC","UKOO","Long Haul E","Long Haul S","Long Haul N","Long Haul NE"})
a320_S7_In:SetDestination({"Anapa-Vityazevo","Krasnodar-Pashkovsky","Mineralnye Vody","Sochi-Adler","Tbilisi-Lochini"})
a320_S7_In:Invisible()
a320_S7_In:SetCruiseAltitude(26000)
a320_S7_In:SetSpawnDelay(math.random (420, 480))
a320_S7_In:SetSpawnInterval(math.random (1200, 3600))
a320_S7_In:Spawn(1)

local a320_Turkish_In=RAT:New("a320", "Turkish A320 Inbound")
a320_Turkish_In:SetTakeoff("Air")
a320_Turkish_In:Livery({"Turkish Airlines"})
a320_Turkish_In:SetDeparture({"LTAC","Long Haul S"})
a320_Turkish_In:SetDestination({"Krasnodar-Pashkovsky","Tbilisi-Lochini"})
a320_Turkish_In:Invisible()
a320_Turkish_In:SetCruiseAltitude(27000)
a320_Turkish_In:SetSpawnDelay(math.random (540, 600))
a320_Turkish_In:SetSpawnInterval(math.random (1200, 3600))
a320_Turkish_In:Spawn(1)

local a320_Ural_In=RAT:New("a320", "Ural A320 Inbound")
a320_Ural_In:SetTakeoff("Air")
a320_Ural_In:Livery({"Ural Airlines"})
a320_Ural_In:SetDeparture({"Long Haul N","Long Haul NE","LBWN","Long Haul E","UKOO"})
a320_Ural_In:SetDestination({"Anapa-Vityazevo","Gelendzhik","Krasnodar-Pashkovsky","Krasnodar-Pashkovsky","Mineralnye Vody","Sochi-Adler","Tbilisi-Lochini"})
a320_Ural_In:Invisible()
a320_Ural_In:SetCruiseAltitude(26000)
a320_Ural_In:SetSpawnDelay(math.random (660, 720))
a320_Ural_In:SetSpawnInterval(math.random (1200, 3600))
a320_Ural_In:Spawn(1)

local a320_Wizz_In=RAT:New("a320", "Wizz A320 Inbound")
a320_Wizz_In:SetTakeoff("Air")
a320_Wizz_In:Livery({"Wizz","WiZZ Budapest"})
a320_Wizz_In:SetDeparture({"LBWN","UKOO","Long Haul E","Long Haul N","Long Haul S"})
a320_Wizz_In:SetDestination("Tbilisi-Lochini")
a320_Wizz_In:Invisible()
a320_Wizz_In:SetCruiseAltitude(26000)
a320_Wizz_In:SetSpawnDelay(math.random (780, 840))
a320_Wizz_In:SetSpawnInterval(math.random (1200, 3600))
a320_Wizz_In:Spawn(1)

local b727_Aeroflot_In=RAT:New("b727", "Aeroflot 727 Inbound")
b727_Aeroflot_In:SetTakeoff("Air")
b727_Aeroflot_In:Livery("AEROFLOT")
b727_Aeroflot_In:SetDeparture({"LBWN","Long Haul E","Long Haul S","Long Haul W","LTAC","UKOO"})
b727_Aeroflot_In:SetDestination({"Sochi-Adler","Tbilisi-Lochini"})
b727_Aeroflot_In:Invisible()
b727_Aeroflot_In:SetCruiseAltitude(25000)
b727_Aeroflot_In:SetSpawnDelay(math.random (900, 960))
b727_Aeroflot_In:SetSpawnInterval(math.random (1200, 3600))
b727_Aeroflot_In:Spawn(1)

local b727_Cargo_In=RAT:New("b727", "Boeing 727 Cargo Inbound")
b727_Cargo_In:SetTakeoff("Air")
b727_Cargo_In:Livery("FedEx","Hapag Lloyd")
b727_Cargo_In:SetDeparture({"LTAC","Long Haul E","Long Haul W"})
b727_Cargo_In:SetDestination("Tbilisi-Lochini")
b727_Cargo_In:Invisible()
b727_Cargo_In:SetCruiseAltitude(21000)
b727_Cargo_In:SetSpawnDelay(math.random (1020, 1080))
b727_Cargo_In:SetSpawnInterval(math.random (1200, 3600))
b727_Cargo_In:Spawn(1)

local b737_AirBaltic_In=RAT:New("b737", "Boeing 737 Air Baltic Inbound")
b737_AirBaltic_In:SetTakeoff("Air")
b737_AirBaltic_In:Livery("airBaltic")
b737_AirBaltic_In:SetDeparture({"LBWN","UKOO","Long Haul S","Long Haul W"})
b737_AirBaltic_In:SetDestination("Tbilisi-Lochini")
b737_AirBaltic_In:Invisible()
b737_AirBaltic_In:SetCruiseAltitude(24000)
b737_AirBaltic_In:SetSpawnDelay(math.random (1140, 1200))
b737_AirBaltic_In:SetSpawnInterval(math.random (1200, 3600))
b737_AirBaltic_In:Spawn(1)

local b737_European_In=RAT:New("b737", "Boeing 737 European Inbound")
b737_European_In:SetTakeoff("Air")
b737_European_In:Livery({"Air France","Lufthansa BA","Lufthansa KR"})
b737_European_In:SetDeparture({"UKOO","Long Haul W"})
b737_European_In:SetDestination({"Sochi-Adler","Tbilisi-Lochini"})
b737_European_In:Invisible()
b737_European_In:SetCruiseAltitude(31000)
b737_European_In:SetSpawnDelay(math.random (1260, 1320))
b737_European_In:SetSpawnInterval(math.random (1200, 3600))
b737_European_In:Spawn(1)

local b737_Georgian_In=RAT:New("b737", "Boeing 737 Georgian Inbound")
b737_Georgian_In:SetTakeoff("Air")
b737_Georgian_In:Livery("Airzena")
b737_Georgian_In:SetDeparture({"UKOO","Long Haul E","Long Haul N","Long Haul S","Long Haul W"})
b737_Georgian_In:SetDestination({"Sochi-Adler","Tbilisi-Lochini"})
b737_Georgian_In:Invisible()
b737_Georgian_In:SetCruiseAltitude(25000)
b737_Georgian_In:SetSpawnDelay(math.random (1380, 1440))
b737_Georgian_In:SetSpawnInterval(math.random (1200, 3600))
b737_Georgian_In:Spawn(2)

local b737_Ukraine_In=RAT:New("b737", "Boeing 737 Ukraine Inbound")
b737_Ukraine_In:SetTakeoff("Air")
b737_Ukraine_In:Livery("Ukraine Airlines")
b737_Ukraine_In:SetDeparture({"LBWN","UKOO"})
b737_Ukraine_In:SetDestination({"Krasnodar-Pashkovsky","Sochi-Adler","Tbilisi-Lochini"})
b737_Ukraine_In:Invisible()
b737_Ukraine_In:SetCruiseAltitude(31000)
b737_Ukraine_In:SetSpawnDelay(math.random (1500, 1560))
b737_Ukraine_In:SetSpawnInterval(math.random (1200, 3600))
b737_Ukraine_In:Spawn(1)

local b747in=RAT:New("b747", "Boeing 747 Inbound")
b747in:SetTakeoff("Air")
b747in:Livery({"Cargolux","Etihad Cargo B747","Rossiya B747","TransAero EU  B747","United Parcel Service  B-747"})
b747in:SetDeparture({"Long Haul E","Long Haul W"})
b747in:SetDestination("Tbilisi-Lochini")
b747in:SetSpawnDelay(math.random (1620, 1680))
b747in:SetSpawnInterval(math.random (1200, 3600))
b747in:SetCruiseAltitude(34000)
b747in:Invisible()
b747in:Spawn(1)

local b757in=RAT:New("b757", "Boeing 757 Inbound")
b757in:SetTakeoff("Air")
b757in:Livery({"DHL","Swiss"})
b757in:SetMinDistance(200)
b757in:SetDeparture({"Long Haul E","Long Haul W"})
b757in:SetDestination("Tbilisi-Lochini")
b757in:Invisible()
b757in:SetCruiseAltitude(32000)
b757in:SetSpawnDelay(math.random (1740, 1800))
b757in:SetSpawnInterval(math.random (1200, 3600))
b757in:Spawn(1)

local Yak40_Aeroflot_In=RAT:New("Yak40", "Yak 40 Inbound")
Yak40_Aeroflot_In:SetTakeoff("Air")
Yak40_Aeroflot_In:Livery("Aeroflot")
Yak40_Aeroflot_In:SetDeparture({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
Yak40_Aeroflot_In:SetDestination({"Krasnodar-Pashkovsky","Sochi-Adler","Tbilisi-Lochini"})
Yak40_Aeroflot_In:Invisible()
Yak40_Aeroflot_In:SetCruiseAltitude(25000)
Yak40_Aeroflot_In:SetSpawnDelay(math.random (1860, 1920))
Yak40_Aeroflot_In:SetSpawnInterval(math.random (1200, 3600))
Yak40_Aeroflot_In:Spawn(1)

-- Departing the Region

local a320_Aeroflot_Out=RAT:New("a320", "Aeroflot A320 Outbound")
a320_Aeroflot_Out:SetTakeoff("Cold")
a320_Aeroflot_Out:Livery({"Aeroflot","Aeroflot 1"})
a320_Aeroflot_Out:SetDeparture({"Sochi-Adler","Tbilisi-Lochini"})
a320_Aeroflot_Out:SetDestination({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
a320_Aeroflot_Out:DestinationZone({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
a320_Aeroflot_Out:Invisible()
a320_Aeroflot_Out:SetCruiseAltitude(26000)
a320_Aeroflot_Out:SetSpawnDelay(math.random (1830, 1890))
a320_Aeroflot_Out:SetSpawnInterval(math.random (1200, 3600))
a320_Aeroflot_Out:Spawn(1)

local a320_European_Out=RAT:New("a320", "European A320 Outbound")
a320_European_Out:SetTakeoff("Cold")
a320_European_Out:Livery({"Air France", "Lufthansa"})
a320_European_Out:SetDeparture("Tbilisi-Lochini")
a320_European_Out:SetDestination({"UKOO","Long Haul W"})
a320_European_Out:DestinationZone({"UKOO","Long Haul W"})
a320_European_Out:Invisible()
a320_European_Out:SetCruiseAltitude(27000)
a320_European_Out:SetSpawnDelay(math.random (1710, 1770))
a320_European_Out:SetSpawnInterval(math.random (1200, 3600))
a320_European_Out:Spawn(1)

local a320_Middle_Eastern_Out=RAT:New("a320", "MEA A320 Outbound")
a320_Middle_Eastern_Out:SetTakeoff("Cold")
a320_Middle_Eastern_Out:Livery({"Gulf Air","Iran Air","Jazeera","Kuwait Airways","Qatar"})
a320_Middle_Eastern_Out:SetDeparture("Tbilisi-Lochini")
a320_Middle_Eastern_Out:SetDestination("Long Haul E")
a320_Middle_Eastern_Out:DestinationZone("Long Haul E")
a320_Middle_Eastern_Out:Invisible()
a320_Middle_Eastern_Out:SetCruiseAltitude(27000)
a320_Middle_Eastern_Out:SetSpawnDelay(math.random (1590, 1650))
a320_Middle_Eastern_Out:SetSpawnInterval(math.random (1200, 3600))
a320_Middle_Eastern_Out:Spawn(1)

local a320_S7_Out=RAT:New("a320", "S7 A320 Outbound")
a320_S7_Out:SetTakeoff("Cold")
a320_S7_Out:Livery("S7")
a320_S7_Out:SetDeparture({"Anapa-Vityazevo","Krasnodar-Pashkovsky","Mineralnye Vody","Sochi-Adler","Tbilisi-Lochini"})
a320_S7_Out:SetDestination({"LBWN","LTAC","UKOO","Long Haul E","Long Haul S","Long Haul N","Long Haul NE"})
a320_S7_Out:DestinationZone({"LBWN","LTAC","UKOO","Long Haul E","Long Haul S","Long Haul N","Long Haul NE"})
a320_S7_Out:Invisible()
a320_S7_Out:SetCruiseAltitude(25000)
a320_S7_Out:SetSpawnDelay(math.random (1470, 1530))
a320_S7_Out:SetSpawnInterval(math.random (1200, 3600))
a320_S7_Out:Spawn(1)

local a320_Turkish_Out=RAT:New("a320", "Turkish A320 Outbound")
a320_Turkish_Out:SetTakeoff("Cold")
a320_Turkish_Out:Livery({"Turkish Airlines"})
a320_Turkish_Out:SetDeparture({"Krasnodar-Pashkovsky","Tbilisi-Lochini"})
a320_Turkish_Out:SetDestination({"LTAC","Long Haul S"})
a320_Turkish_Out:DestinationZone({"LTAC","Long Haul S"})
a320_Turkish_Out:Invisible()
a320_Turkish_Out:SetCruiseAltitude(28000)
a320_Turkish_Out:SetSpawnDelay(math.random (1350, 1410))
a320_Turkish_Out:SetSpawnInterval(math.random (1200, 3600))
a320_Turkish_Out:Spawn(1)

local a320_Ural_Out=RAT:New("a320", "Ural A320 Outbound")
a320_Ural_Out:SetTakeoff("Cold")
a320_Ural_Out:Livery({"Ural Airlines"})
a320_Ural_Out:SetDeparture({"Anapa-Vityazevo","Gelendzhik","Krasnodar-Pashkovsky","Krasnodar-Pashkovsky","Mineralnye Vody","Sochi-Adler","Tbilisi-Lochini"})
a320_Ural_Out:SetDestination({"Long Haul N","Long Haul NE","LBWN","Long Haul E","UKOO"})
a320_Ural_Out:DestinationZone({"Long Haul N","Long Haul NE","LBWN","Long Haul E","UKOO"})
a320_Ural_Out:Invisible()
a320_Ural_Out:SetCruiseAltitude(25000)
a320_Ural_Out:SetSpawnDelay(math.random (1230, 1290))
a320_Ural_Out:SetSpawnInterval(math.random (1200, 3600))
a320_Ural_Out:Spawn(1)

local a320_Wizz_Out=RAT:New("a320", "Wizz A320 Outbound")
a320_Wizz_Out:SetTakeoff("Cold")
a320_Wizz_Out:Livery({"Wizz","WiZZ Budapest"})
a320_Wizz_Out:SetDeparture("Tbilisi-Lochini")
a320_Wizz_Out:SetDestination({"LBWN","UKOO","Long Haul E","Long Haul N","Long Haul S"})
a320_Wizz_Out:DestinationZone({"LBWN","UKOO","Long Haul E","Long Haul N","Long Haul S"})
a320_Wizz_Out:Invisible()
a320_Wizz_Out:SetCruiseAltitude(25000)
a320_Wizz_Out:SetSpawnDelay(math.random (1110, 1170))
a320_Wizz_Out:SetSpawnInterval(math.random (1200, 3600))
a320_Wizz_Out:Spawn(1)

local b727_Aeroflot_Out=RAT:New("b727", "Aeroflot 727 Outbound")
b727_Aeroflot_Out:SetTakeoff("Cold")
b727_Aeroflot_Out:Livery("AEROFLOT")
b727_Aeroflot_Out:SetDeparture({"Sochi-Adler","Tbilisi-Lochini"})
b727_Aeroflot_Out:SetDestination({"Long Haul N","Long Haul NE","LBWN","Long Haul E","LTAC","UKOO"})
b727_Aeroflot_Out:DestinationZone({"Long Haul N","Long Haul NE","LBWN","Long Haul E","LTAC","UKOO"})
b727_Aeroflot_Out:Invisible()
b727_Aeroflot_Out:SetCruiseAltitude(26000)
b727_Aeroflot_Out:SetSpawnDelay(math.random (990, 1050))
b727_Aeroflot_Out:SetSpawnInterval(math.random (1200, 3600))
b727_Aeroflot_Out:Spawn(1)

local b727_Cargo_Out=RAT:New("b727", "Boeing 727 Cargo Outbound")
b727_Cargo_Out:SetTakeoff("Cold")
b727_Cargo_Out:Livery("FedEx","Hapag Lloyd")
b727_Cargo_Out:SetDeparture("Tbilisi-Lochini")
b727_Cargo_Out:SetDestination({"LTAC","Long Haul E","Long Haul S","Long Haul W"})
b727_Cargo_Out:DestinationZone({"LTAC","Long Haul E","Long Haul S","Long Haul W"})
b727_Cargo_Out:Invisible()
b727_Cargo_Out:SetCruiseAltitude(20000)
b727_Cargo_Out:SetSpawnDelay(math.random (870, 930))
b727_Cargo_Out:SetSpawnInterval(math.random (1200, 3600))
b727_Cargo_Out:Spawn(1)

local b737_AirBaltic_Out=RAT:New("b737", "Boeing 737 Air Baltic Outbound")
b737_AirBaltic_Out:SetTakeoff("Cold")
b737_AirBaltic_Out:Livery("airBaltic")
b737_AirBaltic_Out:SetDeparture("Tbilisi-Lochini")
b737_AirBaltic_Out:SetDestination({"LBWN","UKOO","Long Haul S","Long Haul W"})
b737_AirBaltic_Out:DestinationZone({"LBWN","UKOO","Long Haul S","Long Haul W"})
b737_AirBaltic_Out:Invisible()
b737_AirBaltic_Out:SetCruiseAltitude(25000)
b737_AirBaltic_Out:SetSpawnDelay(math.random (750, 810))
b737_AirBaltic_Out:SetSpawnInterval(math.random (1200, 3600))
b737_AirBaltic_Out:Spawn(1)

local b737_European_Out=RAT:New("b737", "Boeing 737 European Outbound")
b737_European_Out:SetTakeoff("Cold")
b737_European_Out:Livery({"Air France","Lufthansa BA","Lufthansa KR"})
b737_European_Out:SetDeparture({"Sochi-Adler","Tbilisi-Lochini"})
b737_European_Out:SetDestination({"UKOO","Long Haul W"})
b737_European_Out:DestinationZone({"UKOO","Long Haul W"})
b737_European_Out:Invisible()
b737_European_Out:SetCruiseAltitude(32000)
b737_European_Out:SetSpawnDelay(math.random (630, 690))
b737_European_Out:SetSpawnInterval(math.random (1200, 3600))
b737_European_Out:Spawn(1)

local b737_Georgian_Out=RAT:New("b737", "Boeing 737 Georgian Outbound")
b737_Georgian_Out:SetTakeoff("Cold")
b737_Georgian_Out:Livery("Airzena")
b737_Georgian_Out:SetDeparture({"Sochi-Adler","Tbilisi-Lochini"})
b737_Georgian_Out:SetDestination({"Long Haul E","Long Haul N","Long Haul S","Long Haul W","UKOO"})
b737_Georgian_Out:DestinationZone({"Long Haul E","Long Haul N","Long Haul S","Long Haul W","UKOO"})
b737_Georgian_Out:Invisible()
b737_Georgian_Out:SetCruiseAltitude(26000)
b737_Georgian_Out:SetSpawnDelay(math.random (510, 570))
b737_Georgian_Out:SetSpawnInterval(math.random (1200, 3600))
b737_Georgian_Out:Spawn(2)

local b737_Ukraine_out=RAT:New("b737", "Boeing 737 Ukraine Outbound")
b737_Ukraine_out:SetTakeoff("Cold")
b737_Ukraine_out:Livery("Ukraine Airlines")
b737_Ukraine_out:SetDeparture({"Krasnodar-Pashkovsky","Sochi-Adler","Tbilisi-Lochini"})
b737_Ukraine_out:SetDestination({"LBWN","UKOO"})
b737_Ukraine_out:DestinationZone({"LBWN","UKOO"})
b737_Ukraine_out:Invisible()
b737_Ukraine_out:SetCruiseAltitude(32000)
b737_Ukraine_out:SetSpawnDelay(math.random (390, 450))
b737_Ukraine_out:SetSpawnInterval(math.random (1200, 3600))
b737_Ukraine_out:Spawn(1)

local b747out=RAT:New("b747", "Boeing 747 Outbound")
b747out:SetTakeoff("Air")
b747out:Livery({"Cargolux","Etihad Cargo B747","Rossiya B747","TransAero EU  B747","United Parcel Service  B-747"})
b747out:SetDeparture("Tbilisi-Lochini")
b747out:SetDestination({"Long Haul E","Long Haul W"})
b747out:SetSpawnDelay(math.random (270, 330))
b747out:SetSpawnInterval(math.random (1200, 3600))
b747out:SetCruiseAltitude(34000)
b747out:Invisible()
b747out:Spawn(1)

local b757out=RAT:New("b757", "Boeing 757 Outbound")
b757out:SetTakeoff("Cold")
b757out:Livery({"DHL","Swiss"})
b757out:SetMinDistance(200)
b757out:SetDeparture("Tbilisi-Lochini")
b757out:SetDestination({"Long Haul E","Long Haul W"})
b757out:DestinationZone({"Long Haul E","Long Haul W"})
b757out:Invisible()
b757out:SetCruiseAltitude(32000)
b757out:SetSpawnDelay(math.random (150, 210))
b757out:SetSpawnInterval(math.random (1200, 3600))
b757out:Spawn(1)

local Yak40_Aeroflot_Out=RAT:New("Yak40", "Yak 40 Outbound")
Yak40_Aeroflot_Out:SetTakeoff("Cold")
Yak40_Aeroflot_Out:Livery("Aeroflot")
Yak40_Aeroflot_Out:SetDeparture({"Krasnodar-Pashkovsky","Sochi-Adler","Tbilisi-Lochini"})
Yak40_Aeroflot_Out:SetDestination({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
Yak40_Aeroflot_Out:DestinationZone({"LBWN","LTAC","UKOO","Long Haul E","Long Haul N","Long Haul NE"})
Yak40_Aeroflot_Out:Invisible()
Yak40_Aeroflot_Out:SetCruiseAltitude(26000)
Yak40_Aeroflot_Out:SetSpawnDelay(math.random (30, 90))
Yak40_Aeroflot_Out:SetSpawnInterval(math.random (1200, 3600))
Yak40_Aeroflot_Out:Spawn(1)

-- Local General Aviation Traffic

local c210=RAT:New("c210", "Cessna")
c210:SetTakeoff("Cold")
c210:Livery({"SEagle blue","SEagle red","Blank"})
c210:SetDeparture({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
c210:SetDestination({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
c210:Invisible()
c210:SetCruiseAltitude(5000)
c210:SetMinDistance(50)
c210:SetSpawnDelay(math.random (30, 90))
c210:SetSpawnInterval(math.random (300, 720))
c210:Spawn(1)

local eagle=RAT:New("eagle", "Christen Eagle")
eagle:SetTakeoff("Cold")
eagle:Livery({"N78JP","N828DM","N83FC","N83TS"})
eagle:SetDeparture({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
eagle:SetDestination({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
eagle:Invisible()
eagle:SetCruiseAltitude(6000)
eagle:SetMinDistance(50)
eagle:SetSpawnDelay(math.random (90, 180))
eagle:SetSpawnInterval(math.random (300, 720))
eagle:Spawn(1)

local Yak52=RAT:New("Yak52", "Yak 52")
Yak52:SetTakeoff("Cold")
Yak52:Livery({"Aeroflot","Civilian Blue Oldie","Civilian Red Oldie","Civilian White Oldie","Weathered Blue","Weathered Orange","Weathered Yellow"})
Yak52:SetDeparture({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
Yak52:SetDestination({"Anapa-Vityazevo","Beslan","Gelendzhik","Krasnodar-Pashkovsky","Mozdok","Nalchik","Novorossiysk","Sochi-Adler","Soganlug","Sukhumi-Babushara"})
Yak52:Invisible()
Yak52:SetCruiseAltitude(4000)
Yak52:SetMinDistance(50)
Yak52:SetSpawnDelay(math.random (180, 240))
Yak52:SetSpawnInterval(math.random (300, 720))
Yak52:Spawn(1)